post
https://fin-api.digetpay.com/v1/payment/checkout/intiate
Creates a hosted checkout session and returns redirectUrl for the customer.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Creates a hosted checkout session. Redirect the customer to redirectUrl to complete payment.
Flow
sequenceDiagram
autonumber
participant M as Your Server
participant D as DigetPay API
participant C as Customer
participant P as Checkout Page
M->>D: POST /payment/checkout/intiate
D-->>M: 201 { id, redirectUrl }
M->>C: Redirect to redirectUrl
C->>P: Pay (card / Apple Pay)
P->>C: Redirect successUrl / failureUrl
Try It
- Set x-api-key to your fin staging merchant key.
- Click Try It — defaults are pre-filled for fin staging.
- Open
redirectUrlfrom the response.
customerPhoneis required (e.g.501223324).
Responses
{
"success": {
"status": 201,
"body": {
"id": "70471003-64ee-4ae7-a639-e607b45e890b",
"redirectUrl": "https://fin-admin.digetpay.com/pay/checkout?sessionId=70471003-64ee-4ae7-a639-e607b45e890b"
}
}
}{
"failed": {
"status": 400,
"body": {
"statusCode": 400,
"message": [
"customerPhone should not be empty"
],
"error": "Bad Request"
}
}
}{
"failed_unauthorized": {
"status": 401,
"body": {
"statusCode": 401,
"message": "Missing API key",
"error": "Unauthorized"
}
}
}